Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(6)

Issue 1804002: Workaround Android sigaction bug

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by cjhopman
Modified:
1 year, 12 months ago
Base URL:
https://chromium.googlesource.com/external/google-breakpad/src.git@master
Visibility:
Public.

Description

Workaround Android sigaction bug

On Android L+, signal and sigaction symbols are provided by libsigchain
that override the system's versions. There is a bug in these functions
where they essentially ignore requests to install SIG_DFL.

Workaround this issue by explicitly performing a syscall to
__NR_rt_sigaction to install SIG_DFL on Android.

BUG=473973

Patch Set 1 #

Patch Set 2 : Move to anon namespace #

Total comments: 3

Patch Set 3 : #

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats Patch
M client/linux/handler/exception_handler.cc View 1 2 4 chunks +21 lines, -3 lines 0 comments Download

Messages

Total messages: 13
cjhopman
mark@ ptal
2 years ago #1
primiano
It's very unfortunate that we have to do this but, in all honesty, considering that ...
2 years ago #2
Mark Mentovai
LGTM https://breakpad.appspot.com/1804002/diff/20001/client/linux/handler/exception_handler.cc File client/linux/handler/exception_handler.cc (right): https://breakpad.appspot.com/1804002/diff/20001/client/linux/handler/exception_handler.cc#newcode202 client/linux/handler/exception_handler.cc:202: syscall(__NR_sigaction, sig, &sa, NULL); primiano wrote: > Looking ...
2 years ago #3
cjhopman
https://breakpad.appspot.com/1804002/diff/20001/client/linux/handler/exception_handler.cc File client/linux/handler/exception_handler.cc (right): https://breakpad.appspot.com/1804002/diff/20001/client/linux/handler/exception_handler.cc#newcode202 client/linux/handler/exception_handler.cc:202: syscall(__NR_sigaction, sig, &sa, NULL); On 2015/04/10 13:07:55, Mark Mentovai ...
2 years ago #4
Mark Mentovai
Committed r1438
2 years ago #5
tpurtell
On 2015/04/10 17:57:39, Mark Mentovai wrote: > Committed r1438 I noticed that Android System WebView ...
1 year, 12 months ago #6
cjhopman
On 2015/04/25 08:11:31, tpurtell wrote: > On 2015/04/10 17:57:39, Mark Mentovai wrote: > > Committed ...
1 year, 12 months ago #7
cjhopman
On 2015/04/26 00:26:08, cjhopman wrote: > On 2015/04/25 08:11:31, tpurtell wrote: > > On 2015/04/10 ...
1 year, 12 months ago #8
tpurtell
On 2015/04/26 00:26:50, cjhopman wrote: > On 2015/04/26 00:26:08, cjhopman wrote: > > On 2015/04/25 ...
1 year, 12 months ago #9
primiano
It would be much better to move this discussion to a bug. Yes, as you ...
1 year, 12 months ago #10
primiano
Just a small correction to what I said: > that would still generate a microdump ...
1 year, 12 months ago #11
tpurtell
I filed an issue report: http://code.google.com/p/chromium/issues/detail?id=481420 Maybe breakpad could fully avoid libsignchain issue by reading ...
1 year, 12 months ago #12
torne
1 year, 12 months ago #13
Fix for WebView eating signals on user builds is here:
https://codereview.chromium.org/1105293003/ - the problem is in the chromium
crash component, not breakpad itself.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1004:630ec63f810e-tainted